eoTruncSelect(3)

NAME
eoTruncSelect - eoTruncSelect selects individuals after truncating the population using eoSelectOne as it's mechanism.

SYNOPSIS

#include <eoTruncSelect.h>

Inherits eoSelect< EOT >< EOT >.

  Public Member Functions
eoTruncSelect (eoSelectOne< EOT > &_select, eoHowMany _howMany)
Ctor: from an eoSelect (and an eoMany to tell how many are kept for selectino.
virtual void operator() (const eoPop< EOT > &_source, eoPop< EOT > &_dest)
The implementation repeatidly selects an individual.

  Private Attributes
eoSelectOne< EOT > & select
eoHowMany howMany

Detailed Description

  template<class EOT> class eoTruncSelect< EOT >
eoTruncSelect selects individuals after truncating the population using eoSelectOne as it's mechanism. Therefore eoSelectMany needs an eoSelectOne in its ctor It will use an eoHowMnay to determine the number of guys to keep,

Definition at line 43 of file eoTruncSelect.h.

Member Function Documentation

  template<class EOT> virtual void eoTruncSelect< EOT >::operator() (const eoPop< EOT > & _source, eoPop< EOT > & _dest) [inline, virtual]

The implementation repeatidly selects an individual.

Parameters:
    _source the source population
    _dest the resulting population (size of this population is the number of times eoSelectOne is called. It empties the destination and adds the selection into it)

Implements eoBF< const eoPop< EOT > &, eoPop< EOT > &, void >.

Definition at line 56 of file eoTruncSelect.h.

References eoSelectOne< EOT, WorthT >::setup().

Author

Generated automatically by Doxygen for EO from the source code.